Cancel Order

The Cancel Order endpoint allows providers to cancel order by giving other orders details like partnerOrderId, providerOrderId and store information.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Headers

NameValue
AuthorizationBearer <access_token>
Content-Typeapplication/json
x-api-keyYour unique API key for authentication

Request Body

Please refer to the Cancel Order HTTP request parameters guide for a detailed explanation of each parameter and its required format.

Sample curl Request

curl --location 'https://api.uat.khumbu.com/uat/v1/providers/standardprovider/partners/simphony/markets/plkpl/orders/cancel' \
--header 'Content-Type: application/json' \
--header 'x-api-key: <apikey>' \
--header 'Authorization: Bearer <accesstoken>' \
--data '{
    "ksOrderId": "17301056466671495",
    "partnerOrderId" : "dce345ee-46b7-4b48-a8db-4db15f3b87c3",
    "providerOrderId": "cf5b80f7-518f-4cdb-84c4-8a95f948b0fb",
    "storeInformation": {
        "providerStoreId": "99999"
    },
    "cancellationNotes":"provider cancel for cf5b80f7-518f-4cdb-84c4-8a95f948b0fb"
}'

Error Responses

In the event of an error, the response will contain an error code and message detailing the cause of the failure. Please refer to the Error Reference Guide for comprehensive information on all error codes.

📘

Implementation Guide

This guide helps developers implement the Cancel Order functionality in their applications. Ensure placeholder values are replaced with actual parameters as needed.

Path Params
string
required
string
required
string
required
Body Params
string
required
string
required
string
required
storeInformation
object
string
Defaults to provider cancel request
Headers
string
required
Responses

Language
Credentials
OAuth2
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json